/*
*   \file
*   \remarks Metering collection, meter challenge and process reset Test API Prototypes
*   \author Pavel Haber
*
*   WMDRM Service Package, Type Definitions, Metering collection, meter challenge and process reset
*
*   Copyright (C) 2007 by Discretix Technologies Ltd.
*           All rights reserved.
*
*/

#ifndef METERING_TST_API_H
#define METERING_TST_API_H

DRM_RESULT MT_PreTestCase(long lTCID, char *strTCName);
DRM_RESULT MT_PostTestCase(long lTCID, char *strTCName);

DRM_RESULT TestDRM_VerifyTID(long argc, char **argv);
DRM_RESULT TestDRM_Manager_AddManyMeteringData(long argc, char **argv);
DRM_RESULT TestDRM_Manager_AddMeteringData(long argc, char **argv);
DRM_RESULT TestDRM_Manager_GeneratePartialMeterChallenge(long argc, char **argv);
DRM_RESULT TestDRM_Manager_GenerateMeterChallenge(long argc, char **argv);
DRM_RESULT TestDRM_Manager_ProcessMeterResponse(long argc, char **argv);
DRM_RESULT TestDRM_Manager_Initialize(long argc, char **argv);

#endif

